---

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
# WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
# COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
# OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

### Red Hat Enterprise Linux

- name: Red Hat Subscription Manager Status
  shell: subscription-manager refresh
  when: ansible_facts['distribution'] == 'RedHat'

### Red Hat Enterprise Linux >= 8 and Derivative Distributions

- name: "{{ ansible_facts['distribution'] }} - Updating the guest operating system."
  dnf:
    name: "*"
    state: latest
    update_cache: yes
  when: ansible_facts['distribution_major_version'] >= "8"

- name: "{{ ansible_facts['distribution'] }} - Installing additional packages."
  dnf:
    name:
      - curl
      - wget
      - git
      - vim
      - net-tools
      - unzip
      - ca-certificates
    state: latest
  when: ansible_facts['distribution_major_version'] >= "8"

### Red Hat Enterprise Linux <= 7 and Derivative Distributions

- name: "{{ ansible_facts['distribution'] }} - Updating the guest operating system."
  yum:
    name: "*"
    state: latest
    update_cache: yes
  when: 
  - ansible_facts['distribution_major_version'] <= "7"

- name: "{{ ansible_facts['distribution'] }} - Installing additional packages."
  yum:
    name:
      - curl
      - wget
      - git
      - vim
      - net-tools
      - unzip
      - ca-certificates
    state: latest
  when: ansible_facts['distribution_major_version'] <= "7"
